PDHLB API
Response and request schema references are described in API schemas.
GET /stats/pdhlb
Section titled “GET /stats/pdhlb”Pdhlb Data
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
include_excursion |
query | No | {"type": "boolean", "default": false} |
Include the available movement profile when supported. |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/pdhlb/doc
Section titled “GET /stats/pdhlb/doc”Pdhlb Doc
Returns documentation for the fields in the PDHLB analysis output.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }}GET /stats/pdhlb/retest
Section titled “GET /stats/pdhlb/retest”Pdhlb Retest
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
direction |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
|
limit |
query | No | {"type": "integer", "default": 10} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/pdhlb/summary
Section titled “GET /stats/pdhlb/summary”Pdhlb Summary
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
include_excursion |
query | No | {"type": "boolean", "default": false} |
Include the available movement profile when supported. |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/pdhlb/top
Section titled “GET /stats/pdhlb/top”Pdhlb Top
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
direction |
query | No | {"type": "string", "default": "high"} |
|
limit |
query | No | {"type": "integer", "default": 10} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}